<?php
/**
 * Schema for checkout@form-create.
 *
 * @package WP_Ultimo\API\Schemas
 * @since 2.0.11
 */

// Exit if accessed directly
defined('ABSPATH') || exit;

/**
 * Schema for checkout@form-create.
 *
 * @since 2.0.11
 * @internal last-generated in 2022-12
 * @generated class generated by our build scripts, do not change!
 *
 * @since 2.0.11
 */
return array(
	'slug'                => array(
		'description' => __('The checkout form slug. It needs to be unique and preferably make it clear what it is about. E.g. my_checkout_form.', 'wp-ultimo'),
		'type'        => 'string',
		'required'    => true,
	),
	'name'                => array(
		'description' => __('Your checkout form name, which is used as checkout form title as well.', 'wp-ultimo'),
		'type'        => 'string',
		'required'    => true,
	),
	'active'              => array(
		'description' => __('Set this checkout form as active (true), which means available to be used, or inactive (false).', 'wp-ultimo'),
		'type'        => 'boolean',
		'required'    => true,
	),
	'custom_css'          => array(
		'description' => __('Custom CSS code for the checkout form.', 'wp-ultimo'),
		'type'        => 'string',
		'required'    => false,
	),
	'settings'            => array(
		'description' => __('The checkout form settings and configurations.', 'wp-ultimo'),
		'type'        => 'object',
		'required'    => false,
	),
	'allowed_countries'   => array(
		'description' => __('The allowed countries that can access this checkout.', 'wp-ultimo'),
		'type'        => 'string',
		'required'    => false,
	),
	'thank_you_page_id'   => array(
		'description' => __('The thank you page ID. This page is shown after a successful purchase.', 'wp-ultimo'),
		'type'        => 'integer',
		'required'    => false,
	),
	'conversion_snippets' => array(
		'description' => __('Snippets to run on thank you page.', 'wp-ultimo'),
		'type'        => 'string',
		'required'    => false,
	),
	'template'            => array(
		'description' => __("Template mode. Can be either 'blank', 'single-step' or 'multi-step'.", 'wp-ultimo'),
		'type'        => 'string',
		'required'    => false,
		'enum'        => array(
			'blank',
			'single-step',
			'multi-step',
		),
	),
	'date_created'        => array(
		'description' => __('Model creation date.', 'wp-ultimo'),
		'type'        => 'string',
		'required'    => false,
	),
	'date_modified'       => array(
		'description' => __('Model last modification date.', 'wp-ultimo'),
		'type'        => 'string',
		'required'    => false,
	),
	'migrated_from_id'    => array(
		'description' => __('The ID of the original 1.X model that was used to generate this item on migration.', 'wp-ultimo'),
		'type'        => 'integer',
		'required'    => false,
	),
	'skip_validation'     => array(
		'description' => __('Set true to have field information validation bypassed when saving this event.', 'wp-ultimo'),
		'type'        => 'boolean',
		'required'    => false,
	),
);
